clear all
close all
clc
%1996Q1 - 2008Q4 = 1996.25 - 2009.00
t = 1996:1/4:2009;
t = t(2:end)';

x = load('Data.txt');
y = x(:,1);


%hdp sezonne ocistena
[y_SA SA_y] = dseasq(y);

%vypocet gapu pomoci hp filtru - pocitam z cele rady at je to lepsi
ly = log(y_SA);
[ly_trend ly_gap] = hpfilter(ly,1600);

%zkraceni
ly = ly(2:end);
ly_trend =  ly_trend(2:end);
ly_gap = ly_gap(2:end)*100;
t = t(2:end);

%nacteni vysledku odhadu
load DSGE1A_results
gap = oo_.PosteriorSmoothedVariables.Mean.gap;
gap_inf = oo_.PosteriorSmoothedVariables.HPDinf.gap;
gap_sup = oo_.PosteriorSmoothedVariables.HPDsup.gap;

yp = oo_.PosteriorSmoothedVariables.Mean.y_f;
yp_inf = oo_.PosteriorSmoothedVariables.HPDinf.y_f;
yp_sup = oo_.PosteriorSmoothedVariables.HPDsup.y_f;

y = oo_.PosteriorSmoothedVariables.Mean.y;
y_inf = oo_.PosteriorSmoothedVariables.HPDinf.y;
y_sup = oo_.PosteriorSmoothedVariables.HPDsup.y;


%nulovy vektor
n = length(gap);
z = zeros(n,1);

figure
plot(t, gap,'r-', t,ly_gap,'g-', t,gap_inf,'r:', t, gap_sup,'r:',t,z,'k-');
grid;
title('DSGE gap a interval spolehlivosti')
legend('DSGE','HP')

figure
plot(t, gap, 'b-',t,ly_gap,'g-',t,y,'r-',t,yp,'m-',t,z,'k-');
grid;
legend('GAP','HP','Y','YP')

figure
plot(t, y, 'b-',t,ly_gap,'g-',t,y_inf,'b:', t, y_sup,'b:',t,z,'k-');
grid;
legend('Y','HP')

figure
plot(t, yp, 'b-',t,ly_gap,'g-',t,yp_inf,'b:', t, yp_sup,'b:',t,z,'k-');
grid;
legend('YP','HP')
