clear all
close all
clc

%1996Q1 - 2008Q4 = 1996.25 - 2009.00
t = 1996:1/4:2009;
t = t(2:end)';


%nulovy vektor
tz = 1996:1/4:2010;
n = length(tz);
z = zeros(n,1);

x = load('Data.txt');
y = x(:,1);

%hdp sezonne ocistena
[y_SA SA_y] = dseasq(y);

%vypocet gapu pomoci hp filtru - pocitam z cele rady at je to lepsi
ly = log(y_SA);
[ly_trend ly_gap] = hpfilter(ly,1600);

%zkraceni
ly = ly(2:end);
ly_trend =  ly_trend(2:end);
ly_gap = ly_gap(2:end)*100;
t = t(2:end);

%nacteni vysledku odhadu
load DSGE1C_results
gap = oo_.PosteriorSmoothedVariables.Mean.gap;
gap_inf = oo_.PosteriorSmoothedVariables.HPDinf.gap;
gap_sup = oo_.PosteriorSmoothedVariables.HPDsup.gap;

yp = oo_.PosteriorSmoothedVariables.Mean.y_f;
yp_inf = oo_.PosteriorSmoothedVariables.HPDinf.y_f;
yp_sup = oo_.PosteriorSmoothedVariables.HPDsup.y_f;

y = oo_.PosteriorSmoothedVariables.Mean.y;
y_inf = oo_.PosteriorSmoothedVariables.HPDinf.y;
y_sup = oo_.PosteriorSmoothedVariables.HPDsup.y;

figure
plot(t, gap,'b-',t,gap_inf,'b:', t,ly_gap,'r-', t, gap_sup,'b:',tz,z,'k-');
legend('Mezera vstupu','90% interval spolehlivosti','Mezera vstupu - HP filtr')

figure
plot(t,ly_gap,'r-',t,y,'g-',t,yp,'m-',tz,z,'k-');
legend('Mezera vstupu - HP filtr','Odchylka aktulnho produktu','Odchylka potencilnho produktu')

figure
plot(t, y, 'b-',t,ly_gap,'g-',t,y_inf,'b:', t, y_sup,'b:',tz,z,'k-');
legend('Odchylka aktulnho produktu','Mezera vstupu - HP filtr')

figure
plot(t, yp, 'b-',t,ly_gap,'g-',t,yp_inf,'b:', t, yp_sup,'b:',tz,z,'k-');
legend('Odchylka potencilnho produktu','Mezera vstupu - HP filtr')
