clear all
close all
clc

%1996Q1 - 2008Q4 = 1996.25 - 2009.00
t = 1996:1/4:2009;
t = t(2:end)';

%nulovy vektor
tz = 1996:1/4:2010;
n = length(tz);
z = zeros(n,1);

t = t(2:end);

%nacteni vysledku odhadu
load DSGE1C_results
gap = oo_.PosteriorSmoothedVariables.Mean.gap;
phi = oo_.PosteriorSmoothedVariables.Mean.phi;

figure
plot(t, gap,'b-',t,phi,'r-',tz,z,'k-');
legend('Mezera vstupu - CR','Mezni naklady - CR')

figure
subplot(2,1,1)
plot(t, gap,tz,z,'k-');
title('Mezera vstupu - CR')
subplot(2,1,2)
plot(t,phi,tz,z,'k-');
title('Mezni naklady - CR')


%vytvoreni casoveho vektoru - 1981 Q4 : 2006 Q4
t = 1982:1/4:2007;
t = t';
t = t(4:end-1);

%nacteni vysledku odhadu
load DSGE_US_results
gap2 = oo_.PosteriorSmoothedVariables.Mean.gap;
phi2 = oo_.PosteriorSmoothedVariables.Mean.phi;

%nulovy vektor
n = length(gap2);
z = zeros(n,1);

figure
plot(t,gap2,'b-', t, phi2, 'r-',t,z,'k-');
legend('Mezera vstupu - USA','Mezni naklady - USA')

figure
subplot(2,1,1)
plot(t, gap2,t,z,'k-');
title('Mezera vstupu - USA')
subplot(2,1,2)
plot(t,phi2,t,z,'k-');
title('Mezni naklady - USA')
