clear all
close all
clc

x = load('Data.txt');

yr = x(:,1);
zam = x(:,2);
lf = x(:,3);
rs = x(:,4);
pie = x(:,5);
pietar = x(:,6);

%1996Q1 - 2008Q4 = 1996.25 - 2009.00
t = 1996:1/4:2009;
t = t(2:end)';
 
%hdp a inflace sezonne ocistena
[yr_SA SA_yr] = dseasq(yr);
[pie_SA SA_pie] = dseasq(pie);

figure
subplot(2,1,1)
plot(t,[yr yr_SA]);
grid;
title('Sezonne ocistene hdp');
legend('puvodni','ocistena');
     
subplot(2,1,2)
plot(t,[pie pie_SA]);
grid;
title('Sezonne ocistena inflace');
legend('puvodni','ocistena');

%inflace a inflacni cil
figure
subplot(2,1,1)
plot(t,[pie pietar]);
grid;
title('Inflace');
legend('inflace','cil');
     
subplot(2,1,2)
plot(t,[pie_SA pietar]);
grid;
title('Ocistena inflace');
legend('inflace','cil');

%log hdp na pracovnika
yr_zam = yr_SA./zam * 1000000/1000;
yr_lf = yr_SA./lf * 1000000/1000;

%mezictvrtletni tempo rustu hdp na pracovnika
k = 1;
yr_zam_gr = yr_zam(k+1:end) ./ yr_zam(1:end-k)-1;
yr_zam_gr =[ones(k,1)*nan;yr_zam_gr]*100;

yr_lf_gr = yr_lf(k+1:end) ./ yr_lf(1:end-k)-1;
yr_lf_gr =[ones(k,1)*nan;yr_lf_gr]*100;

%Tempa rustu hdp
figure
subplot(2,1,1)
plot(t,yr_zam_gr);
grid;
title('Tempo rustu hdp na pracovnika');
     
subplot(2,1,2)
plot(t,yr_lf_gr);
grid;
title('Tempo rustu hdp na pracovni silu');

%POUZITA DATA
%Urokove sazby
figure
subplot(2,2,1)
plot(t,rs);
grid;
title('3M Interbank Rate');

%Inflace   
subplot(2,2,2)
plot(t,pie_SA);
grid;
title('Sezonne ocistena inflace');

subplot(2,2,3)
plot(t,yr_zam_gr);
grid;
title('Tempo rustu hdp na pracovnika');

subplot(2,2,4)
plot(t,pietar);
grid;
title('Inflacni cil');


gap_pie = pie-pietar;
gap_pie_SA = pie_SA-pietar;

figure
subplot(2,1,1)
plot(t,gap_pie);
grid;
title('Rozdil inflace a cile');
     
subplot(2,1,2)
plot(t,gap_pie_SA);
grid;
title('Rozdil ocistene inflace a cile');

%rozdil urokove sazby a inlfacniho cile
rs_pietar = rs - pietar;

%moje pozorovane veliciny - vse zkratim o Nany na stejnou delku
t = t(k+1:end);

yr_zam_gr=yr_zam_gr(k+1:end);
yr_lf_gr=yr_lf_gr(k+1:end);

rs=rs(k+1:end);

pie=pie_SA(k+1:end);

gap_pie_SA = gap_pie_SA(k+1:end);

rs_pietar = rs_pietar(k+1:end);

pietar = pietar(k+1:end);

save data2 t yr_zam_gr yr_lf_gr rs pie gap_pie_SA pietar



%mezictvrtletni tempo rustu hdp na pracovnika
k = 1;
yr_SA_gr = yr_SA(k+1:end) ./ yr_SA(1:end-k)-1;
yr_SA_gr =[ones(k,1)*nan;yr_SA_gr]*100;