clear all
close all
clc

%1996Q1 - 2008Q4 = 1996.25 - 2009.00
t = 1996:1/4:2009;
t = t(2:end)';

%nulovy vektor
tz = 1996:1/4:2010;
n = length(tz);
z = zeros(n,1);

%zkraceni
t = t(2:end);

%nacteni vysledku odhadu
load DSGE1C_results
gap = oo_.PosteriorSmoothedVariables.Mean.gap;
gap_inf = oo_.PosteriorSmoothedVariables.HPDinf.gap;
gap_sup = oo_.PosteriorSmoothedVariables.HPDsup.gap;

yp = oo_.PosteriorSmoothedVariables.Mean.y_f;
yp_inf = oo_.PosteriorSmoothedVariables.HPDinf.y_f;
yp_sup = oo_.PosteriorSmoothedVariables.HPDsup.y_f;

y = oo_.PosteriorSmoothedVariables.Mean.y;
y_inf = oo_.PosteriorSmoothedVariables.HPDinf.y;
y_sup = oo_.PosteriorSmoothedVariables.HPDsup.y;

%siroky prior
load DSGE1Ca(algoritmus)_results
gapL = oo_.PosteriorSmoothedVariables.Mean.gap;
gapL_inf = oo_.PosteriorSmoothedVariables.HPDinf.gap;
gapL_sup = oo_.PosteriorSmoothedVariables.HPDsup.gap;

ypL = oo_.PosteriorSmoothedVariables.Mean.y_f;
ypL_inf = oo_.PosteriorSmoothedVariables.HPDinf.y_f;
ypL_sup = oo_.PosteriorSmoothedVariables.HPDsup.y_f;

yL = oo_.PosteriorSmoothedVariables.Mean.y;
yL_inf = oo_.PosteriorSmoothedVariables.HPDinf.y;
yL_sup = oo_.PosteriorSmoothedVariables.HPDsup.y;

%uzky prior
load DSGE1Cb_results
gapT = oo_.PosteriorSmoothedVariables.Mean.gap;
gapT_inf = oo_.PosteriorSmoothedVariables.HPDinf.gap;
gapT_sup = oo_.PosteriorSmoothedVariables.HPDsup.gap;

ypT = oo_.PosteriorSmoothedVariables.Mean.y_f;
ypT_inf = oo_.PosteriorSmoothedVariables.HPDinf.y_f;
ypT_sup = oo_.PosteriorSmoothedVariables.HPDsup.y_f;

yT = oo_.PosteriorSmoothedVariables.Mean.y;
yT_inf = oo_.PosteriorSmoothedVariables.HPDinf.y;
yT_sup = oo_.PosteriorSmoothedVariables.HPDsup.y;

figure
subplot(2,2,1)
plot(t, gap,'b-',t,gap_inf,'b:',t, gap_sup,'b:',tz,z,'k-');
legend('Mezera vstupu','90% interval spolehlivosti')
title('Zakladni odhad')

subplot(2,2,2)
plot(t, gapL,'b-',t,gapL_inf,'b:',t, gapL_sup,'b:',tz,z,'k-');
title('Siroky prior')

subplot(2,2,3)
plot(t, gapT,'b-',t,gapT_inf,'b:',t, gapT_sup,'b:',tz,z,'k-');
title('Uzky prior')



figure
plot(t, gap,'b-',t, gapL,'r-',t, gapT,'g-',tz,z,'k-');
legend('Zkladn odhad','irok prior','zk prior')


figure
subplot(2,1,1)
plot(t, y,'b-',t, yL,'r-',t, yT,'g-',tz,z,'k-');
legend('Zkladn odhad','irok prior','zk prior')

subplot(2,1,2)
plot(t, yp,'b-',t, ypL,'r-',t, ypT,'g-',tz,z,'k-');
legend('Zkladn odhad','irok prior','zk prior')

%siroky prior - dalsi vyrianty
load DSGE1Ca_results
gapLX = oo_.PosteriorSmoothedVariables.Mean.gap;
gapLX_inf = oo_.PosteriorSmoothedVariables.HPDinf.gap;
gapLX_sup = oo_.PosteriorSmoothedVariables.HPDsup.gap;

load DSGE1Ca(mod)_results
gapLM = oo_.PosteriorSmoothedVariables.Mean.gap;
gapLM_inf = oo_.PosteriorSmoothedVariables.HPDinf.gap;
gapLM_sup = oo_.PosteriorSmoothedVariables.HPDsup.gap;

figure
plot(t, gap,'b-',t, gapL,'r-',t, gapT,'g-',t, gapLX,'m-',t, gapLM,'y-',tz,z,'k-');
legend('Zkladn odhad','irok prior','zk prior','irok prior - Sims','irok prior M')

figure
subplot(2,2,1)
plot(t, gapL,'b-',t,gapL_inf,'b:',t, gapL_sup,'b:',tz,z,'k-');
subplot(2,2,2)
plot(t, gapLX,'b-',t,gapLX_inf,'b:',t, gapLX_sup,'b:',tz,z,'k-');
title('Jinej algoritmus - Sims')
subplot(2,2,3)
plot(t, gapLM,'b-',t,gapLM_inf,'b:',t, gapLM_sup,'b:',tz,z,'k-');
title('Nacteni modu')