clear all
close all
clc
%vytvoreni casoveho vektoru - 1981 Q4 : 2006 Q4
t = 1981:1/4:2007;
t = t';
t = t(4:end-1);

%naceteni hdp
x = load('GDP.txt');
y = x(:,2);

%nacteni lf - mesicni data - uprava
x = load('LF.txt');
lf = x(:,2);
n = length(lf);
j=1;
for i=1:n/3
    lf3(i,1) = lf(j)/3;
    j = j+1;
    lf3(i,1) = lf3(i,1)+ lf(j)/3;
    j = j+1;
    lf3(i,1) = lf3(i,1)+ lf(j)/3;
    j = j+1;
end;   
%lod hdp na pracovnika - musim srovnat jednotky
y_lf = (y./lf3 * 1000000000/1000);

%nacteni cpi - mesicni data - uprava
x = load('CPI.txt');
cpi = x(:,2);
j=1;
for i=1:n/3
    cpi3(i,1) = cpi(j)/3;
    j = j+1;
    cpi3(i,1) = cpi3(i,1)+ cpi(j)/3;
    j = j+1;
    cpi3(i,1) = cpi3(i,1)+ cpi(j)/3;
    j = j+1;
end;  

%nacteni r - mesicni data - uprava
x = load('FEDFUNDS.txt');
r = x(:,2);
j=1;
for i=1:n/3
    r3(i,1) = r(j)/3;
    j = j+1;
    r3(i,1) = r3(i,1)+ r(j)/3;
    j = j+1;
    r3(i,1) = r3(i,1)+ r(j)/3;
    j = j+1;
end; 

%vypocet inflace a tempa rustu
%mezictvrtletni tempo rustu hdp na pracovnika
y_lf_gr = y_lf(2:end) ./ y_lf(1:end-1)-1;
y_lf_gr =[nan;y_lf_gr]*100;

%mezictvrtletni inflace anualizovana
pie4=cpi3(2:end) ./ cpi3(1:end-1)-1;
pie4=[nan;pie4]*4*100;

pi_poz = pie4(5:end);
r_poz = r3(5:end);
y_poz = y_lf_gr(5:end);
t = t(5:end);

figure
subplot(2,2,1)
plot(t,y_poz);
grid;
title('mezictvrtletni tempo rustu hdp na pracovnika');

subplot(2,2,2)
plot(t,pi_poz);
grid;
title('mezictvrtletni anualizovana inflace');

subplot(2,2,3)
plot(t,r_poz);
grid;
title('urokova mira');

%vypocet gapu pomoci hp filtru
ly = log(y);
ly = ly(5:end);
[ly_trend ly_gap] = hpfilter(ly,1600);

figure
plot(t,ly_gap*100)
grid;
title('gap log hdp')

save data y_poz pi_poz r_poz t;