clear all
close all
clc
%vytvoreni casoveho vektoru - 1981 Q4 : 2006 Q4
t = 1982:1/4:2007;
t = t';
t = t(4:end-1);

%naceteni hdp
x = load('GDP.txt');
y = x(:,2);
y = y(143:end-9);

%vypocet gapu pomoci hp filtru - pocitam z cele rady at je to lepsi
ly = log(y);
[ly_trend ly_gap] = hpfilter(ly,1600);
ly_gap = ly_gap*100;

%nacteni vysledku odhadu
load DSGE_US_results
gap = oo_.PosteriorSmoothedVariables.Mean.gap;
gap_inf = oo_.PosteriorSmoothedVariables.HPDinf.gap;
gap_sup = oo_.PosteriorSmoothedVariables.HPDsup.gap;

yp = oo_.PosteriorSmoothedVariables.Mean.y_f;
yp_inf = oo_.PosteriorSmoothedVariables.HPDinf.y_f;
yp_sup = oo_.PosteriorSmoothedVariables.HPDsup.y_f;

y = oo_.PosteriorSmoothedVariables.Mean.y;
y_inf = oo_.PosteriorSmoothedVariables.HPDinf.y;
y_sup = oo_.PosteriorSmoothedVariables.HPDsup.y;

%nulovy vektor
n = length(gap);
z = zeros(n,1);

figure
plot(t,gap_inf,'r:', t, gap, 'b-', t, gap_sup,'r:',t,z,'k-');
grid;
title('DSGE gap a inteval spolehlivosti')
legend('90% interval spolehlivosti','gap')

figure
plot(t,ly_gap,t,gap,t,z,'k')
grid;
title('Srovnani HP a DSGE')
legend('HP filtr','DSGE')

figure
plot(t, gap, 'b-',t,ly_gap,'g-',t,y,'r-',t,yp,'m-',t,z,'k-');
grid;
legend('GAP','HP','Y','YP')

